## django-compat 1.0.6

=== requirements.txt ===
six #

=== debian/changelog ===
django-compat (1.0.6-2) unstable; urgency=medium

  * Add autopkgtest support
  * Fix Vcs* links
  * Remove README.Debian since it is redundant with control file description

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 30 Jun 2015 15:53:49 +0530

django-compat (1.0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #786898: ITP: django-compat -- "Forward and
    backwards compatibility layer for Django 1.4.x to 1.8.x")

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Wed, 17 Jun 2015 10:32:00 +0530

=== debian/control ===
Source: django-compat
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python | python-all (>= 2.6.6-3) | python-dev | python-all-dev,
 python-setuptools (>= 0.6b3), python-django
X-Python-Version: 2.7
Testsuite: autopkgtest
Standards-Version: 3.9.6
Homepage: https://github.com/arteria/django-compat
Vcs-Git: https://github.com/Linaro/pkg-django-compat.git
Vcs-Browser: https://github.com/Linaro/pkg-django-compat.git

Package: python-django-compat
Architecture: all
Depends: python-six (>= 1.8.0-1), ${misc:Depends}, ${python:Depends}
Description: Forward and backwards compatibility layer for Django 1.4.x to 1.8.x
 This module provides a backwards compatibility layer for Django versions which
 helps in the following:
 1. Be able to use the LTS versions of Django and support newer versions in
    your app
 2. Use features from newer Django versions in an old one
 3. Manage and master the gap between different framework versions

=== debian/tests/control ===
Tests: testsuite
Depends: python-django
Restrictions: allow-stderr

## django-compat 1.0.8

=== requirements.txt ===
six
django-nose>=1.2

=== debian/changelog ===
django-compat (1.0.8-1ubuntu2) xenial; urgency=medium

  * Add python-django-nose to test deps, not just build-deps.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Mar 2016 17:00:14 -0700

django-compat (1.0.8-1ubuntu1) xenial; urgency=medium

  * Build-depend on python-django-nose to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 12 Dec 2015 22:42:43 -0500

django-compat (1.0.8-1) unstable; urgency=medium

  * New upstream production release.
  * Supports django 1.9.x. (Closes: #807097)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 08 Dec 2015 20:00:55 +0530

django-compat (1.0.7-2) unstable; urgency=medium

  * Add Neil Williams (codehelp) as an uploader.
  * Add python-six as test dependency.
  * Add python-six as build dependency. (Closes: #797231)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Sun, 30 Aug 2015 20:20:00 +0530

django-compat (1.0.7-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 24 Aug 2015	05:42:35 +0530

=== debian/control ===
Source: django-compat
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
 Neil Williams <codehelp@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python | python-all (>= 2.6.6-3) | python-dev | python-all-dev,
 python-setuptools (>= 0.6b3), python-django, python-six, python-django-nose
X-Python-Version: 2.7
Testsuite: autopkgtest
Standards-Version: 3.9.6
Homepage: https://github.com/arteria/django-compat
Vcs-Git: https://github.com/Linaro/pkg-django-compat.git
Vcs-Browser: https://github.com/Linaro/pkg-django-compat.git

Package: python-django-compat
Architecture: all
Depends: python-six (>= 1.8.0-1), ${misc:Depends}, ${python:Depends}
Description: Forward and backwards compatibility layer for Django 1.4.x to 1.9.x
 This module provides a backwards compatibility layer for Django versions which
 helps in the following:
 1. Be able to use the LTS versions of Django and support newer versions in
    your app
 2. Use features from newer Django versions in an old one
 3. Manage and master the gap between different framework versions

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-compat
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test::
	python runtests.py

## django-compat 1.0.12

=== debian/changelog ===
django-compat (1.0.12-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 21 Jun 2016 23:56:10 +0530

django-compat (1.0.10-1) unstable; urgency=medium

  * New upstream production release.
  * Package for python3.
  * Remove Debian patch, which is fixed upstream.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 21 Mar 2016 15:07:44 +0530

django-compat (1.0.9-1) unstable; urgency=medium

  * New upstream production release.
  * Debian patch to fix open function compatibility.
  * Remove specific version dependency on python-six.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Sun, 20 Mar 2016 21:31:42 +0530

django-compat (1.0.8-3) unstable; urgency=medium

  * Add python-django-nose as build dependency. (Closes: #812442)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 28 Jan 2016 18:38:16 +0530

django-compat (1.0.8-2) unstable; urgency=medium

  * Fix description formatting as per debian-policy (Closes: #807916)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 14 Dec 2015 19:43:54 +0530

## django-compat 1.0.13

=== requirements.txt ===
six
django-nose

=== debian/changelog ===
django-compat (1.0.13-1) unstable; urgency=medium

  * New upstream production release.
  * Fix FTBFS under Django 1.10 (Closes: #828645)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 09 Aug 2016 08:27:21 +0530

=== debian/control ===
Source: django-compat
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
 Neil Williams <codehelp@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python | python-all (>= 2.6.6-3) | python-dev | python-all-dev,
 python-setuptools (>= 0.6b3), python-django, python-six, python-django-nose,
 python3 | python3-all | python3-dev | python3-all-dev, python3-setuptools,
 python3-django, python3-six, python3-django-nose
X-Python-Version: >=2.7
Testsuite: autopkgtest
Standards-Version: 3.9.7
Homepage: https://github.com/arteria/django-compat
Vcs-Git: https://github.com/Linaro/pkg-django-compat.git
Vcs-Browser: https://github.com/Linaro/pkg-django-compat.git

Package: python-django-compat
Architecture: all
Depends: python-six, ${misc:Depends}, ${python:Depends}
Description: Forward and backwards compatibility layer for Django 1.4.x to 1.9.x
 This module provides a backwards compatibility layer for Django versions which
 helps in the following:
  1. Be able to use the LTS versions of Django and support newer versions in
     your app
  2. Use features from newer Django versions in an old one
  3. Manage and master the gap between different framework versions

Package: python3-django-compat
Architecture: all
Depends: python3-six, ${misc:Depends}, ${python3:Depends}
Description: Forward and backwards compatibility layer for Django 1.4.x to 1.9.x
 This module provides a backwards compatibility layer for Django versions which
 helps in the following:
  1. Be able to use the LTS versions of Django and support newer versions in
     your app
  2. Use features from newer Django versions in an old one
  3. Manage and master the gap between different framework versions

## django-compat 1.0.14

=== debian/changelog ===
django-compat (1.0.14-0ubuntu1) artful; urgency=medium

  * New upstream release (1.0.14)
    - Needed for Django 1.11 support (LP: #1605278).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 08 Aug 2017 09:57:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: django-compat
-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
  Neil Williams <codehelp@debian.org>
 Section: python

## django-compat 1.0.15

=== debian/changelog ===
django-compat (1.0.15-1) unstable; urgency=medium

  * New upstream production release.
  * Fix FTBFS with Django 1.11 (Closes: #865661)
  * Fix Excessive build-depends complicate python3 transition (Closes: #866504)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Fri, 23 Feb 2018 18:42:27 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: django-compat
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
  Neil Williams <codehelp@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9), dh-python,
- python | python-all (>= 2.6.6-3) | python-dev | python-all-dev,
+ python-all (>= 2.6.6-3),
  python-setuptools (>= 0.6b3), python-django, python-six, python-django-nose,
- python3 | python3-all | python3-dev | python3-all-dev, python3-setuptools,
+ python3-all, python3-setuptools,
  python3-django, python3-six, python3-django-nose
 X-Python-Version: >=2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/arteria/django-compat
 Vcs-Git: https://github.com/Linaro/pkg-django-compat.git
 Vcs-Browser: https://github.com/Linaro/pkg-django-compat.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_test::
	python runtests.py

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=debian/python-django-compat/ --install-layout=deb
	python3 setup.py install --root=debian/python3-django-compat/ --install-layout=deb

override_dh_auto_clean::
	$(RM) -r django_compat.egg-info/ build/ dist/
	find . -name '*.pyc' -exec $(RM) -f {} +
	find . -name '*.pyo' -exec $(RM) -f {} +
	find . -name '*~' -exec rm $(RM) {} +

=== debian/tests/control ===
Tests: testsuite
Depends: python-django, python-six, python-django-nose
Restrictions: allow-stderr

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/django-compat-$1.tar.gz/" \
         https://github.com/arteria/django-compat/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
